import React,{Component} from "react";
import {View,Icon} from '@tarojs/components'
import {AtButton} from "taro-ui";
import './index.less';
import Taro from "@tarojs/taro";

class Result extends Component{
  constructor(props) {
    super(props);
    this.determine= this.determine.bind(this);
  }

  determine(){
    Taro.eventCenter.trigger('result')
  }

  render() {
    return(
      <View className='result'>
        <View className='resultIcon'>
          {
            this.props.resultState === 0 ?
              <Icon size='80' type='success' /> :
              this.props.resultState === 43101 ?
                <Icon size='80' type='info' /> :
                <Icon size='80' type='warn' />
          }
        </View>
        <View className='resultTitle'>
          {
            this.props.resultState === 0 ?
              '申请成功,已通知上级审核' :
              this.props.resultState === 43101 || this.props.resultState === 2 || this.props.resultState === 40003 ?
                '申请成功,上级未打开消息通知,请联系您的上级' :
                this.props.resultState === 41030 || this.props.resultState === 47003 || this.props.resultState === 40037 ?
                  '申请成功,消息发送失败,请联系管理员':
                    '申请成功,消息发送失败'
          }
          {
            this.props.resultState !== 0 && this.props.resultState !== 43101 && this.props.resultState !== 2 && this.props.resultState !== 40003 ?
              <View className='resultError'>错误编码:{this.props.resultState}</View>:null
          }
        </View>
        <View className='resultOperation'>
          <AtButton circle onClick={this.determine}>
            再次发起
          </AtButton>
          <AtButton type='primary' circle onClick={()=>{
            Taro.navigateTo({
              url:'/pages/egressDetails/index?id='+this.props.resultId
            })
          }}>
            前往分享
          </AtButton>
        </View>
      </View>
    )
  }
}

export default Result;
